-- Test roles
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(8);

select has_role('guest');
select has_role('employee');
select has_role('admin');
select has_role('authenticator');

select is_member_of('guest', 'authenticator');
select is_member_of('employee', 'authenticator');
select is_member_of('admin', 'authenticator');
select is_member_of('authenticator', array[]::text[]);

select *
from finish();

rollback;
